diff --git a/drivers/media/video/camdrv_ss.h b/drivers/media/video/camdrv_ss.h
--- a/drivers/media/video/camdrv_ss.h
+++ b/drivers/media/video/camdrv_ss.h
@@ -169,6 +169,7 @@
 	CAM_HIGH_LIGHT,
 };
 
+struct camdrv_ss_state *to_state(struct v4l2_subdev *sd);
 
 struct camdrv_ss_sensor_cap {
 /************************/
diff --git a/drivers/media/video/camdrv_ss_s5k4ecgx.c b/drivers/media/video/camdrv_ss_s5k4ecgx.c
--- a/drivers/media/video/camdrv_ss_s5k4ecgx.c
+++ b/drivers/media/video/camdrv_ss_s5k4ecgx.c
@@ -231,7 +231,6 @@
 extern int camdrv_ss_set_preview_size(struct v4l2_subdev *sd);
 extern int camdrv_ss_set_capture_size(struct v4l2_subdev *sd);
 extern int camdrv_ss_set_dataline_onoff(struct v4l2_subdev *sd, int onoff);
-extern struct camdrv_ss_state *to_state(struct v4l2_subdev *sd);
 int wb_auto=1,iso_auto=1;
 //#define __JPEG_CAPTURE__ 1        
